## opencpn 4.99.1520

=== debian/changelog ===
opencpn (4.99.1520-rc2~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Aug 2019 18:44:27 -0700

=== debian/control ===
Source: opencpn
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10),
               cmake,
               libgtk2.0-dev,
               gettext,
               gpsd,
               gpsd-clients,
               libgps-dev,
               wx-common (>= 3.0.2),
               libwxgtk3.0-dev (>= 3.0.2),
               libglu1-mesa-dev,
               libgtk2.0-dev,
               wx3.0-headers (>= 3.0.2),
               libbz2-dev,
               libtinyxml-dev (>= 2.6.2),
               libsdl1.2debian,
               libportaudio2,
               portaudio19-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libcairo2-dev,
               libarchive-dev,
               liblzma-dev,
               libexif-dev
Standards-Version: 3.9.8
Homepage: http://www.opencpn.org/ocpn

Package: opencpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         wx3.0-i18n (>= 3.0.2),
         opencpn-tcdata,
         opencpn-gshhs-low
Provides: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Conflicts: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Replaces: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Recommends: xcalib,xdg-utils,opencpn-doc,opencpn-gshhs-crude
Suggests: opencpn-gshhs-low, opencpn-gshhs-intermediate,
          opencpn-gshhs-high,opencpn-gshhs-full
Description: Concise chartplotter and navigation software
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.

=== debian/rules ===
#!/usr/bin/make -f

#Don't touch the SVG files otherwise cairo is not able to render them...
DEB_DH_SCOUR_ARGS += -Xsvg

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/class/cmake.mk

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## opencpn 5.0.0

=== serial/Makefile ===
all: serial

CMAKE_FLAGS := -DCMAKE_INSTALL_PREFIX=/tmp/usr/local
UNAME := $(shell uname -s)

install_deps:
ifeq ($(UNAME),Darwin)
	brew tap ros/deps
	brew update
	brew outdated boost || brew upgrade boost || brew install boost
	brew outdated python || brew upgrade python || brew install python
	sudo -H python2 -m pip install -U pip setuptools
	sudo -H python2 -m pip install --force-reinstall --no-deps -U pip
	sudo -H python2 -m pip install rosinstall_generator wstool rosdep empy catkin_pkg
	sudo -H rosdep init
	rosdep update
	mkdir catkin_ws
	cd catkin_ws && rosinstall_generator catkin --rosdistro hydro --tar > catkin.rosinstall
	cd catkin_ws && wstool init src catkin.rosinstall
	cd catkin_ws && rosdep install --from-paths src --ignore-src -y
	cd catkin_ws && python2 ./src/catkin/bin/catkin_make -DPYTHON_EXECUTABLE=`which python2` install
	echo "source catkin_ws/install/setup.bash" > setup.bash
else
	sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu precise main" > /etc/apt/sources.list.d/ros-latest.list'
	wget http://packages.ros.org/ros.key -O - | sudo apt-key add -
	sudo apt-get update
	sudo apt-get install ros-hydro-catkin libboost-dev
	echo "source /opt/ros/hydro/setup.bash" > setup.bash
endif

install:
	cd build && make install

serial:
	@mkdir -p build
	cd build && cmake $(CMAKE_FLAGS) ..
ifneq ($(MAKE),)
	cd build && $(MAKE)
else
	cd build && make
endif

.PHONY: clean
clean:
	rm -rf build

.PHONY: doc
doc:
	@doxygen doc/Doxyfile
ifeq ($(UNAME),Darwin)
	@open doc/html/index.html
endif

.PHONY: test
test:
	@mkdir -p build
	cd build && cmake $(CMAKE_FLAGS) ..
ifneq ($(MAKE),)
	cd build && $(MAKE) run_tests
else
	cd build && make run_tests
endif

=== serial/tests/CMakeLists.txt ===
if(UNIX)
    catkin_add_gtest(${PROJECT_NAME}-test unix_serial_tests.cc)
    target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME} ${Boost_LIBRARIES})
    if(NOT APPLE)
        target_link_libraries(${PROJECT_NAME}-test util)
    endif()

    if(NOT APPLE)  # these tests are unreliable on macOS
      catkin_add_gtest(${PROJECT_NAME}-test-timer unit/unix_timer_tests.cc)
      target_link_libraries(${PROJECT_NAME}-test-timer ${PROJECT_NAME})
    endif()
endif()

=== debian/changelog ===
opencpn (5.0.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Aug 2019 17:32:55 -0700

opencpn (5.0.0-0~xenial1) xenial; urgency=low

  * Version 5.0.0

 -- Dave Register <bdbcat@yahoo.com>  Sat, 23 Mar 2019 09:52:44 -0400
 

opencpn (4.99.1519-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1519

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 10:37:51 -0400
 

opencpn (4.99.1519-0~bionic1) bionic; urgency=low

  * Version 4.99.1519

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 10:37:51 -0400
 

opencpn (4.99.1519-0~xenial1) xenial; urgency=low

  * Version 4.99.1519

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 10:37:51 -0400
 

opencpn (4.99.1518-0~trusty1) trusty; urgency=low

  * Version 4.99.1518

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Mar 2019 01:02:39 -0400
 

opencpn (4.99.1428-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1428-0~bionic1) bionic; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1428-0~xenial1) xenial; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1428-0~trusty1) trusty; urgency=low

  * Version 4.99.1428

 -- Dave Register <bdbcat@yahoo.com>  Thu, 28 Feb 2019 22:21:36 -0500
 

opencpn (4.99.1427-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1427

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 18:24:30 -0500
 

opencpn (4.99.1427-0~bionic1) bionic; urgency=low

  * Version 4.99.1427

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 18:24:30 -0500
 

opencpn (4.99.1427-0~xenial1) xenial; urgency=low

  * Version 4.99.1427

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 18:24:30 -0500
 

opencpn (4.99.1426-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500
 

opencpn (4.99.1426-0~bionic1) bionic; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500
 
 

opencpn (4.99.1426-0~xenial1) xenial; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500
 

opencpn (4.99.1426-0~trusty1) trusty; urgency=low

  * Version 4.99.1426

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 10:46:37 -0500

opencpn (4.99.1425-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1425-0~bionic1) bionic; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1425-0~xenial1) xenial; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1425-0~trusty1) trusty; urgency=low

  * Version 4.99.1425

 -- Dave Register <bdbcat@yahoo.com>  Tue, 26 Feb 2019 09:42:30 -0500

opencpn (4.99.1409-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1409

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Feb 2019 23:43:38 -0500

opencpn (4.99.1409-0~bionic1) bionic; urgency=low

  * Version 4.99.1409

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Feb 2019 23:43:38 -0500

opencpn (4.99.1409-0~xenial1) xenial; urgency=low

  * Version 4.99.1409

 -- Dave Register <bdbcat@yahoo.com>  Mon, 18 Feb 2019 23:43:38 -0500

opencpn (4.99.1408-0~cosmic1) cosmic; urgency=low

  * Beta Version 4.99.1408

 -- Dave Register <bdbcat@yahoo.com>  Fri, 08 Feb 2019 23:28:09 -0500

opencpn (4.99.1408-0~bionic1) bionic; urgency=low

  * Beta Version 4.99.1408

 -- Dave Register <bdbcat@yahoo.com>  Fri, 08 Feb 2019 23:28:09 -0500

opencpn (4.99.1408-0~xenial1) xenial; urgency=low

  * Beta Version 4.99.1408

 -- Dave Register <bdbcat@yahoo.com>  Fri, 08 Feb 2019 23:28:09 -0500

opencpn (4.99.1406-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1406

 -- Dave Register <bdbcat@yahoo.com>  Thu, 07 Feb 2019 10:41:12 -0500

opencpn (4.99.1406-0~bionic1) bionic; urgency=low

  * Version 4.99.1406

 -- Dave Register <bdbcat@yahoo.com>  Thu, 07 Feb 2019 10:41:12 -0500

opencpn (4.99.1406-0~xenial1) xenial; urgency=low

  * Version 4.99.1406

 -- Dave Register <bdbcat@yahoo.com>  Thu, 07 Feb 2019 10:41:12 -0500

opencpn (4.99.1405-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1405-0~bionic1) bionic; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1405-0~trusty1) trusty; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1405-0~xenial1) xenial; urgency=low

  * Version 4.99.1405

 -- Dave Register <bdbcat@yahoo.com>  Wed, 06 Feb 2019 00:07:25 -0500

opencpn (4.99.1404-0~xenial1) xenial; urgency=low

  * Version 4.99.1404

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 23:25:38 -0500

opencpn (4.99.1403-0~xenial1) xenial; urgency=low

  * Version 4.99.1403

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 22:46:30 -0500

opencpn (4.99.1402-0~xenial1) xenial; urgency=low

  * Version 4.99.1402

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 22:05:05 -0500

opencpn (4.99.1401-0~xenial1) xenial; urgency=low

  * Version 4.99.1402

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 21:59:59 -0500

opencpn (4.99.1401-0~cosmic1) cosmic; urgency=low

  * Version 4.99.1401

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 20:58:47 -0500

opencpn (4.99.1401-0~bionic1) bionic; urgency=low

  * Version 4.99.1401

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 20:58:47 -0500

opencpn (4.99.1401-0~trusty1) trusty; urgency=low

  * Version 4.99.1401

 -- Dave Register <bdbcat@yahoo.com>  Tue, 05 Feb 2019 20:58:47 -0500

=== debian/control ===
Source: opencpn
Section: misc
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 9.2),
               gettext,
               gpsd,
               gpsd-clients,
               libbz2-dev,
               libcairo2-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libglu1-mesa-dev,
               libgps-dev,
               libgtk2.0-dev,
               libportaudio2,
               libsdl1.2debian,
               libtinyxml-dev,
               libwxgtk-webview3.0-dev,
               libwxgtk3.0-dev,
               portaudio19-dev,
               wx-common,
               wx3.0-headers
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org

Package: opencpn
Architecture: any
Depends: opencpn-gshhs-low,
         opencpn-tcdata,
         wx3.0-i18n,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: opencpn-plugin-chartdldr, opencpn-plugin-wmm
Conflicts: opencpn-plugin-chartdldr, opencpn-plugin-wmm
Replaces: opencpn-plugin-chartdldr, opencpn-plugin-wmm
Recommends: opencpn-doc,
            opencpn-gshhs-crude,
            opencpn-gshhs-full,
            opencpn-gshhs-high,
            opencpn-gshhs-intermediate,
            xcalib,
            xdg-utils
Description: concise chartplotter and navigation software
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and
 navigation software for use as an underway or planning tool.  OpenCPN is
 developed by a team of active sailors using real world conditions for program
 testing and refinement.

=== debian/rules ===
#!/usr/bin/make -f

#Don't touch the SVG files otherwise cairo is not able to render them...
DEB_DH_SCOUR_ARGS += -Xsvg
DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

## opencpn 5.0.0%2Bdfsg

=== plugins/chartdldr_pi/CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Pavel Kalian
## Copyright:   2014
## License:     GPLv2 License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
IF (COMMAND cmake_policy)
  if (POLICY CMP0043)
    CMAKE_POLICY(SET CMP0043 NEW)
  endif (POLICY CMP0043)
ENDIF (COMMAND cmake_policy)

PROJECT(chartdldr_pi)

SET(PACKAGE_NAME chartdldr_pi)
SET(VERBOSE_NAME ChartDownloader)
SET(TITLE_NAME ChartDownloader)
SET(CPACK_PACKAGE_CONTACT "Pavel Kalian")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "3")
SET(VERSION_PATCH "0")
SET(VERSION_DATE "2018-01-13")

IF( NOT CMAKE_BUILD_TYPE )
  SET( CMAKE_BUILD_TYPE Release CACHE STRING
       "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
       FORCE )
ENDIF( NOT CMAKE_BUILD_TYPE )

MESSAGE (STATUS "Build type: ${CMAKE_BUILD_TYPE}")

#SET(CMAKE_BUILD_TYPE Debug)
SET(CMAKE_MACOSX_RPATH "ON")

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_CHARTDLDR
            src/chartdldr_pi.h
            src/chartdldr_pi.cpp
            src/icons.h
            src/icons.cpp
            src/chartdldrgui.h
            src/chartdldrgui.cpp
            src/checkedlistctrl.cpp
            src/checkedlistctrl.h
            src/base64.h
            src/chartcatalog.cpp
            src/chartcatalog.h
)
SET(SRC_UNARR
    src/unarr/common/conv.c
    src/unarr/common/crc32.c
    src/unarr/common/custalloc.c
    src/unarr/common/allocator.h
    src/unarr/common/unarr.c
    src/unarr/common/unarr-imp.h
    src/unarr/common/stream.c
    src/unarr/_7z/_7z.h
    src/unarr/_7z/_7z.c
    src/unarr/lzmasdk/Ppmd7Dec.c
    src/unarr/lzmasdk/Ppmd8.h
    src/unarr/lzmasdk/7zTypes.h
    src/unarr/lzmasdk/Precomp.h
    src/unarr/lzmasdk/CpuArch.h
    src/unarr/lzmasdk/Ppmd7.c
    src/unarr/lzmasdk/LzmaDec.c
    src/unarr/lzmasdk/Ppmd8.c
    src/unarr/lzmasdk/Ppmd.h
    src/unarr/lzmasdk/Ppmd7.h
    src/unarr/lzmasdk/CpuArch.c
    src/unarr/lzmasdk/LzmaDec.h
    src/unarr/lzmasdk/Ppmd8Dec.c
    src/unarr/rar/filter-rar.c
    src/unarr/rar/huffman-rar.c
    src/unarr/rar/parse-rar.c
    src/unarr/rar/rar.h
    src/unarr/rar/rarvm.c
    src/unarr/rar/uncompress-rar.c
    src/unarr/rar/rarvm.h
    src/unarr/rar/lzss.h
    src/unarr/rar/rar.c
    src/unarr/unarr.h
    src/unarr/tar/tar.h
    src/unarr/tar/parse-tar.c
    src/unarr/tar/tar.c
    src/unarr/zip/uncompress-zip.c
    src/unarr/zip/inflate.c
    src/unarr/zip/zip.c
    src/unarr/zip/parse-zip.c
    src/unarr/zip/zip.h
    src/unarr/zip/inflate.h
)

IF(UNIX AND NOT APPLE)
  INCLUDE("cmake/FindTinyXML.cmake")
  FIND_PACKAGE(TinyXML QUIET)
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
  #Homebrew does not link libarchive to /usr/local by default to avoid conflict with the system-wide one (which in turn does not provide includes...)
  #We do not want the systemwide vrsion as it is too old and misses support for many archive formats
  LIST(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/libarchive")
  LIST(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/libarchive/lib")
ENDIF()
IF(WIN32)
  LIST(APPEND CMAKE_PREFIX_PATH "../../buildwin/include")
  LIST(APPEND CMAKE_PREFIX_PATH "../../buildwin")
ENDIF()

OPTION(CHARTDLDR_USE_UNARR "Use unarr to extract RAR archives instead of libarchive" ON)
IF(CHARTDLDR_USE_UNARR)
    ADD_DEFINITIONS(-DCHARTDLDR_RAR_UNARR)
ENDIF()

ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)

FIND_PACKAGE(LibArchive)
IF(LibArchive_FOUND)
  message(STATUS "Chartdldr_pi going to use LibArchive...")
  INCLUDE_DIRECTORIES(${LibArchive_INCLUDE_DIRS})
  #Unset the unrar sources as we will not need them
  ADD_DEFINITIONS(-DDLDR_USE_LIBARCHIVE)
ENDIF(LibArchive_FOUND)

INCLUDE_DIRECTORIES(src/unarr/)
PKG_SEARCH_MODULE(UNARR libunarr unarr)
IF (UNARR_FOUND AND USE_BUNDLED_LIBS MATCHES "OFF")
  message (STATUS "Building with system unarr")
  INCLUDE_DIRECTORIES(${UNARR_INCLUDE_DIR})
  SET(SRC_UNARR  "")
ELSE ()
  message (STATUS "Building with bundled unarr")
  ADD_LIBRARY(UNARR ${SRC_UNARR})
  INCLUDE_DIRECTORIES(src/unarr)
ENDIF ()

IF(TINYXML_FOUND)
  message (STATUS "Chartdldr_pi building with system tinyxml")
  INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
  ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_UNARR} ${SRC_CHARTDLDR})
  TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${TINYXML_LIBRARIES})
ELSE(TINYXML_FOUND)
  message (STATUS "Chartdldr_pi building with bundled tinyxml")
  INCLUDE_DIRECTORIES(src/tinyxml/)
  SET(SRC_LTINYXML
             src/tinyxml/tinyxml.cpp
             src/tinyxml/tinyxmlparser.cpp
             src/tinyxml/tinyxmlerror.cpp
  )
  ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_UNARR} ${SRC_LTINYXML} ${SRC_CHARTDLDR})
ENDIF(TINYXML_FOUND)
ADD_DEFINITIONS(-DTIXML_USE_STL)
if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang|AppleClang")
    # FIXME: This is to broad, needs better handling after 5.0.0
    target_compile_options(${PACKAGE_NAME} PRIVATE -Wno-overloaded-virtual)
    target_compile_options(${PACKAGE_NAME} PRIVATE -Wno-unknown-pragmas)
    target_compile_options(${PACKAGE_NAME} PRIVATE -Wno-unused-variable)
endif ()
IF (UNARR_LIBRARIES)
  TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${UNARR_LIBRARIES})
ENDIF()

IF(LibArchive_FOUND)
  TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${LibArchive_LIBRARIES})
ELSE(LibArchive_FOUND)
  #We do not have libarchive, try to make unarr more powerful...
  #ADD_DEFINITIONS(-DHAVE_7Z) #TODO if we decide it is needed, quite a bit more work here
  FIND_PACKAGE(ZLIB)
  IF(ZLIB_FOUND)
    ADD_DEFINITIONS(-DHAVE_ZLIB)
    INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${ZLIB_LIBRARIES})
  ENDIF(ZLIB_FOUND)
  FIND_PACKAGE(BZip2)
  IF(BZIP2_FOUND)
    ADD_DEFINITIONS(-DHAVE_BZIP2)
    INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIRS})
    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${BZIP2_LIBRARIES})
  ENDIF(BZIP2_FOUND)
ENDIF(LibArchive_FOUND)

TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${wxWidgets_LIBRARIES} )

IF (QT_ANDROID )
  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OCPN_Core_LIBRARIES} )
  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} "-lgnustl_shared")
  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} "-lz" )
ENDIF(QT_ANDROID)

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== plugins/dashboard_pi/CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Dave Register
## ***************************************************************************
## *   Copyright (C) 2010 by David S. Register                               *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 2 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.         *
## ***************************************************************************


# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
# This should be 2.8.0 to have FindGTK2 module
IF (COMMAND cmake_policy)
  if (POLICY CMP0043)
    CMAKE_POLICY(SET CMP0043 NEW)
  endif (POLICY CMP0043)
ENDIF (COMMAND cmake_policy)

PROJECT(dashboard_pi)

SET(PACKAGE_NAME dashboard_pi)
SET(PLUGIN_SOURCE_DIR .)
MESSAGE (STATUS "")
MESSAGE (STATUS "*** Staging to build ${PACKAGE_NAME} ***")

#SET(CMAKE_BUILD_TYPE Debug)
SET(CMAKE_MACOSX_RPATH "ON")

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/src)

# require proper c++
#ADD_DEFINITIONS( "-Wall -ansi -pedantic -Wno-variadic-macros" )
#TODO: Should we use  -fno-stack-protector
#  IF NOT DEBUGGING CFLAGS="-O2 -march=native"
IF(NOT WIN32 AND NOT APPLE)
    ADD_DEFINITIONS( "-Wall -O2 -fexceptions -fvisibility=hidden" )
    IF(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
      SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-Bsymbolic")
    ENDIF(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
ENDIF(NOT WIN32 AND NOT APPLE)

IF( APPLE )
   ADD_DEFINITIONS( "-O3 -fexceptions -fvisibility=hidden" )
   ADD_DEFINITIONS("-Wno-unused -Wno-overloaded-virtual")
   SET(CMAKE_SHARED_LINKER_FLAGS "-Wl -undefined dynamic_lookup")
ENDIF( APPLE )

# Add some definitions to satisfy MSVC
IF(MSVC)
    ADD_DEFINITIONS(-D__MSVC__)
    ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
ENDIF(MSVC)



#  QT_ANDROID is a cross-build, so the native FIND_PACKAGE(wxWidgets...) and wxWidgets_USE_FILE is not useful.
IF(NOT QT_ANDROID)
IF(NOT DEFINED wxWidgets_USE_FILE)
  SET(wxWidgets_USE_LIBS base core net xml html adv)
  SET(BUILD_SHARED_LIBS TRUE)
  FIND_PACKAGE(wxWidgets REQUIRED)
ENDIF(NOT DEFINED wxWidgets_USE_FILE)

  INCLUDE(${wxWidgets_USE_FILE})
ENDIF(NOT QT_ANDROID)

FIND_PACKAGE(Gettext REQUIRED)

# For convenience we define the sources as a variable. You can add
# header files and cpp/c files and CMake will sort them out


SET(SRC_DASHBOARD
    src/dashboard_pi.h
    src/dashboard_pi.cpp
    src/instrument.cpp
    src/instrument.h
    src/iirfilter.h
    src/iirfilter.cpp
    src/compass.cpp
    src/compass.h
    src/dial.cpp
    src/dial.h
    src/gps.cpp
    src/gps.h
    src/rudder_angle.cpp
    src/rudder_angle.h
    src/speedometer.cpp
    src/speedometer.h
    src/wind.cpp
    src/wind.h
    src/depth.cpp
    src/depth.h
    src/clock.cpp
    src/clock.h
    src/icons.cpp
    src/icons.h
    src/wind_history.cpp
    src/wind_history.h
    src/baro_history.cpp
    src/baro_history.h
    src/from_ownship.cpp
    src/from_ownship.h
    src/wxJSON/jsonval.cpp
    src/wxJSON/jsonreader.cpp

)

SET(SRC_NMEA0183
    src/nmea0183/LatLong.hpp
    src/nmea0183/latlong.cpp
    src/nmea0183/long.cpp
    src/nmea0183/nmea0183.cpp
    src/nmea0183/nmea0183.hpp
    src/nmea0183/Response.hpp
    src/nmea0183/response.cpp
    src/nmea0183/RMB.hpp
    src/nmea0183/rmb.cpp
    src/nmea0183/Sentence.hpp
    src/nmea0183/sentence.cpp
    src/nmea0183/talkerid.cpp
    src/nmea0183/RMC.HPP
    src/nmea0183/rmc.cpp
    src/nmea0183/hexvalue.cpp
    src/nmea0183/lat.cpp
    src/nmea0183/expid.cpp
    src/nmea0183/wpl.hpp
    src/nmea0183/wpl.cpp
    src/nmea0183/rte.hpp
    src/nmea0183/rte.cpp
    src/nmea0183/hdt.hpp
    src/nmea0183/hdt.cpp
    src/nmea0183/hdg.hpp
    src/nmea0183/hdg.cpp
    src/nmea0183/hdm.hpp
    src/nmea0183/hdm.cpp
    src/nmea0183/gll.hpp
    src/nmea0183/gll.cpp
    src/nmea0183/vtg.hpp
    src/nmea0183/vtg.cpp
    src/nmea0183/gga.hpp
    src/nmea0183/gga.cpp
    src/nmea0183/gsv.hpp
    src/nmea0183/gsv.cpp
    src/nmea0183/dbt.cpp
    src/nmea0183/dbt.hpp
    src/nmea0183/dpt.cpp
    src/nmea0183/dpt.hpp
    src/nmea0183/mtw.cpp
    src/nmea0183/mtw.hpp
    src/nmea0183/mwv.cpp
    src/nmea0183/mwv.hpp
    src/nmea0183/vhw.hpp
    src/nmea0183/vhw.cpp
    src/nmea0183/vwr.cpp
    src/nmea0183/vwr.hpp
    src/nmea0183/zda.cpp
    src/nmea0183/zda.hpp
    src/nmea0183/rsa.hpp
    src/nmea0183/rsa.cpp
    src/nmea0183/SatInfo.h
    src/nmea0183/mwd.cpp
    src/nmea0183/mwd.hpp
    src/nmea0183/vwt.cpp
    src/nmea0183/vwt.hpp
    src/nmea0183/mta.cpp
    src/nmea0183/mta.hpp
    src/nmea0183/vlw.cpp
    src/nmea0183/vlw.hpp
    src/nmea0183/mda.cpp
    src/nmea0183/mda.hpp
    src/nmea0183/xdr.cpp
    src/nmea0183/xdr.hpp
)
INCLUDE_DIRECTORIES(src/nmea0183)


SET_PROPERTY(GLOBAL PROPERTY TARGET_SUPPORTS_SHARED_LIBS TRUE)
SET(BUILD_SHARED_LIBS "ON")
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_DASHBOARD} ${SRC_NMEA0183} )


IF(WIN32)
  IF(MSVC)
    SET(OPENCPN_IMPORT_LIB "../../${CMAKE_CFG_INTDIR}/${PARENT}")
  ELSE(MSVC)
    SET(OPENCPN_IMPORT_LIB "${PARENT}.dll")
    SET( CMAKE_SHARED_LINKER_FLAGS "-L../../" )
  ENDIF(MSVC)

  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OPENCPN_IMPORT_LIB} )
  ADD_DEPENDENCIES(${PACKAGE_NAME} ${PARENT})
ENDIF(WIN32)


# On Android, PlugIns need a specific linkage set....
IF (QT_ANDROID )
  # These libraries are needed to create PlugIns on Android.
  
  SET(OCPN_Core_LIBRARIES
        # Presently, Android Plugins are built in the core tree, so the variables {wxQT_BASE}, etc.
        # flow to this module from above.  If we want to build Android plugins out-of-core, this will need improvement.

        # TODO This is pretty ugly, but there seems no way to avoid specifying a full path in a cross build....
        /home/dsr/Projects/opencpn_sf/opencpn/build-opencpn-Android_for_armeabi_v7a_GCC_4_8_Qt_5_5_0-Debug/libopencpn.so

        ${wxQt_Base}/${wxQt_Build}/lib/libwx_baseu-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_qtu_core-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_qtu_html-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_baseu_xml-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_qtu_qa-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_qtu_adv-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_qtu_aui-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_baseu_net-3.1-arm-linux-androideabi.a
        ${wxQt_Base}/${wxQt_Build}/lib/libwx_qtu_gl-3.1-arm-linux-androideabi.a
        ${Qt_Base}/android_armv7/lib/libQt5Core.so
        ${Qt_Base}/android_armv7/lib/libQt5OpenGL.so
        ${Qt_Base}/android_armv7/lib/libQt5Widgets.so
        ${Qt_Base}/android_armv7/lib/libQt5Gui.so
        ${Qt_Base}/android_armv7/lib/libQt5AndroidExtras.so
        
        ${NDK_Base}/sources/cxx-stl/gnu-libstdc++/4.8/libs/armeabi-v7a/libgnustl_shared.so
        )

ENDIF(QT_ANDROID)

TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${wxWidgets_LIBRARIES} )
TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OCPN_Core_LIBRARIES} )


IF(APPLE)
    INSTALL(TARGETS ${PACKAGE_NAME} BUNDLE LIBRARY DESTINATION ${CMAKE_BINARY_DIR}/OpenCPN.app/Contents/PlugIns)
   
   IF(EXISTS ${PROJECT_SOURCE_DIR}/data)
    INSTALL(DIRECTORY data DESTINATION ${CMAKE_BINARY_DIR}/OpenCPN.app/Contents/SharedSupport/plugins/${PACKAGE_NAME})
    ENDIF()

ENDIF(APPLE)

IF(UNIX AND NOT APPLE)
    INSTALL(TARGETS ${PACKAGE_NAME} RUNTIME LIBRARY DESTINATION ${PREFIX_PLUGINS})

    IF(EXISTS ${PROJECT_SOURCE_DIR}/data)
        SET(PREFIX_PARENTDATA ${PREFIX_DATA}/${PARENT})
        INSTALL(DIRECTORY data DESTINATION ${PREFIX_PARENTDATA}/plugins/${PACKAGE_NAME})
    ENDIF()
ENDIF(UNIX AND NOT APPLE)

IF(WIN32)
    INSTALL(TARGETS ${PACKAGE_NAME} RUNTIME DESTINATION "plugins")
  
    SET(INSTALL_DIRECTORY "plugins\\\\${PACKAGE_NAME}")

    IF(EXISTS ${PROJECT_SOURCE_DIR}/data)
    INSTALL(DIRECTORY data DESTINATION "${INSTALL_DIRECTORY}")
    ENDIF(EXISTS ${PROJECT_SOURCE_DIR}/data)
ENDIF(WIN32)

INCLUDE("../PluginLocalization.cmake")
PLUGIN_LOCALIZATION()
